// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.2
// 	protoc        (unknown)
// source: connectrpc/rooms/v1/rooms.proto

package roomsv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DifficultyLevel int32

const (
	DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED DifficultyLevel = 0
	DifficultyLevel_DIFFICULTY_LEVEL_EASY        DifficultyLevel = 1
	DifficultyLevel_DIFFICULTY_LEVEL_MEDIUM      DifficultyLevel = 2
	DifficultyLevel_DIFFICULTY_LEVEL_HARD        DifficultyLevel = 3
)

// Enum value maps for DifficultyLevel.
var (
	DifficultyLevel_name = map[int32]string{
		0: "DIFFICULTY_LEVEL_UNSPECIFIED",
		1: "DIFFICULTY_LEVEL_EASY",
		2: "DIFFICULTY_LEVEL_MEDIUM",
		3: "DIFFICULTY_LEVEL_HARD",
	}
	DifficultyLevel_value = map[string]int32{
		"DIFFICULTY_LEVEL_UNSPECIFIED": 0,
		"DIFFICULTY_LEVEL_EASY":        1,
		"DIFFICULTY_LEVEL_MEDIUM":      2,
		"DIFFICULTY_LEVEL_HARD":        3,
	}
)

func (x DifficultyLevel) Enum() *DifficultyLevel {
	p := new(DifficultyLevel)
	*p = x
	return p
}

func (x DifficultyLevel) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DifficultyLevel) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_rooms_v1_rooms_proto_enumTypes[0].Descriptor()
}

func (DifficultyLevel) Type() protoreflect.EnumType {
	return &file_connectrpc_rooms_v1_rooms_proto_enumTypes[0]
}

func (x DifficultyLevel) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DifficultyLevel.Descriptor instead.
func (DifficultyLevel) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{0}
}

type RoomStatus int32

const (
	RoomStatus_ROOM_STATUS_UNSPECIFIED RoomStatus = 0
	RoomStatus_ROOM_STATUS_WAITING     RoomStatus = 1
	RoomStatus_ROOM_STATUS_STARTING    RoomStatus = 2
	RoomStatus_ROOM_STATUS_PLAYING     RoomStatus = 3
	RoomStatus_ROOM_STATUS_ENDING      RoomStatus = 4
)

// Enum value maps for RoomStatus.
var (
	RoomStatus_name = map[int32]string{
		0: "ROOM_STATUS_UNSPECIFIED",
		1: "ROOM_STATUS_WAITING",
		2: "ROOM_STATUS_STARTING",
		3: "ROOM_STATUS_PLAYING",
		4: "ROOM_STATUS_ENDING",
	}
	RoomStatus_value = map[string]int32{
		"ROOM_STATUS_UNSPECIFIED": 0,
		"ROOM_STATUS_WAITING":     1,
		"ROOM_STATUS_STARTING":    2,
		"ROOM_STATUS_PLAYING":     3,
		"ROOM_STATUS_ENDING":      4,
	}
)

func (x RoomStatus) Enum() *RoomStatus {
	p := new(RoomStatus)
	*p = x
	return p
}

func (x RoomStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (RoomStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_connectrpc_rooms_v1_rooms_proto_enumTypes[1].Descriptor()
}

func (RoomStatus) Type() protoreflect.EnumType {
	return &file_connectrpc_rooms_v1_rooms_proto_enumTypes[1]
}

func (x RoomStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use RoomStatus.Descriptor instead.
func (RoomStatus) EnumDescriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{1}
}

type CreateRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	HostId        string                 `protobuf:"bytes,1,opt,name=host_id,json=hostId,proto3" json:"host_id,omitempty"`
	Name          string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	MaxPlayers    uint32                 `protobuf:"varint,3,opt,name=max_players,json=maxPlayers,proto3" json:"max_players,omitempty"`
	MatchDuration *durationpb.Duration   `protobuf:"bytes,4,opt,name=match_duration,json=matchDuration,proto3,oneof" json:"match_duration,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateRoomRequest) Reset() {
	*x = CreateRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRoomRequest) ProtoMessage() {}

func (x *CreateRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRoomRequest.ProtoReflect.Descriptor instead.
func (*CreateRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{0}
}

func (x *CreateRoomRequest) GetHostId() string {
	if x != nil {
		return x.HostId
	}
	return ""
}

func (x *CreateRoomRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateRoomRequest) GetMaxPlayers() uint32 {
	if x != nil {
		return x.MaxPlayers
	}
	return 0
}

func (x *CreateRoomRequest) GetMatchDuration() *durationpb.Duration {
	if x != nil {
		return x.MatchDuration
	}
	return nil
}

type CreateRoomData struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateRoomData) Reset() {
	*x = CreateRoomData{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateRoomData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRoomData) ProtoMessage() {}

func (x *CreateRoomData) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRoomData.ProtoReflect.Descriptor instead.
func (*CreateRoomData) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{1}
}

func (x *CreateRoomData) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type CreateRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *CreateRoomData        `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateRoomResponse) Reset() {
	*x = CreateRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRoomResponse) ProtoMessage() {}

func (x *CreateRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRoomResponse.ProtoReflect.Descriptor instead.
func (*CreateRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{2}
}

func (x *CreateRoomResponse) GetData() *CreateRoomData {
	if x != nil {
		return x.Data
	}
	return nil
}

type EditRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	Name          string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	MaxPlayers    uint32                 `protobuf:"varint,3,opt,name=max_players,json=maxPlayers,proto3" json:"max_players,omitempty"`
	MatchDuration *durationpb.Duration   `protobuf:"bytes,4,opt,name=match_duration,json=matchDuration,proto3,oneof" json:"match_duration,omitempty"`
	Difficulty    DifficultyLevel        `protobuf:"varint,5,opt,name=difficulty,proto3,enum=connectrpc.rooms.v1.DifficultyLevel" json:"difficulty,omitempty"`
	Shuffle       bool                   `protobuf:"varint,6,opt,name=shuffle,proto3" json:"shuffle,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *EditRoomRequest) Reset() {
	*x = EditRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EditRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EditRoomRequest) ProtoMessage() {}

func (x *EditRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EditRoomRequest.ProtoReflect.Descriptor instead.
func (*EditRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{3}
}

func (x *EditRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *EditRoomRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *EditRoomRequest) GetMaxPlayers() uint32 {
	if x != nil {
		return x.MaxPlayers
	}
	return 0
}

func (x *EditRoomRequest) GetMatchDuration() *durationpb.Duration {
	if x != nil {
		return x.MatchDuration
	}
	return nil
}

func (x *EditRoomRequest) GetDifficulty() DifficultyLevel {
	if x != nil {
		return x.Difficulty
	}
	return DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED
}

func (x *EditRoomRequest) GetShuffle() bool {
	if x != nil {
		return x.Shuffle
	}
	return false
}

type EditRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *EditRoomResponse) Reset() {
	*x = EditRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EditRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EditRoomResponse) ProtoMessage() {}

func (x *EditRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EditRoomResponse.ProtoReflect.Descriptor instead.
func (*EditRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{4}
}

type RegisterUserInRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	UserId        string                 `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RegisterUserInRoomRequest) Reset() {
	*x = RegisterUserInRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RegisterUserInRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterUserInRoomRequest) ProtoMessage() {}

func (x *RegisterUserInRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterUserInRoomRequest.ProtoReflect.Descriptor instead.
func (*RegisterUserInRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{5}
}

func (x *RegisterUserInRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *RegisterUserInRoomRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type RegisterUserInRoomResponse struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	ExpiresAt       *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=expires_at,json=expiresAt,proto3" json:"expires_at,omitempty"`
	WasInRoomBefore bool                   `protobuf:"varint,2,opt,name=was_in_room_before,json=wasInRoomBefore,proto3" json:"was_in_room_before,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *RegisterUserInRoomResponse) Reset() {
	*x = RegisterUserInRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RegisterUserInRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterUserInRoomResponse) ProtoMessage() {}

func (x *RegisterUserInRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterUserInRoomResponse.ProtoReflect.Descriptor instead.
func (*RegisterUserInRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{6}
}

func (x *RegisterUserInRoomResponse) GetExpiresAt() *timestamppb.Timestamp {
	if x != nil {
		return x.ExpiresAt
	}
	return nil
}

func (x *RegisterUserInRoomResponse) GetWasInRoomBefore() bool {
	if x != nil {
		return x.WasInRoomBefore
	}
	return false
}

type RemoveUserFromRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	UserId        string                 `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RemoveUserFromRoomRequest) Reset() {
	*x = RemoveUserFromRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RemoveUserFromRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveUserFromRoomRequest) ProtoMessage() {}

func (x *RemoveUserFromRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveUserFromRoomRequest.ProtoReflect.Descriptor instead.
func (*RemoveUserFromRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{7}
}

func (x *RemoveUserFromRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *RemoveUserFromRoomRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type RemoveUserFromRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RemoveUserFromRoomResponse) Reset() {
	*x = RemoveUserFromRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RemoveUserFromRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveUserFromRoomResponse) ProtoMessage() {}

func (x *RemoveUserFromRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveUserFromRoomResponse.ProtoReflect.Descriptor instead.
func (*RemoveUserFromRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{8}
}

type BanUserFromRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	UserId        string                 `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *BanUserFromRoomRequest) Reset() {
	*x = BanUserFromRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *BanUserFromRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BanUserFromRoomRequest) ProtoMessage() {}

func (x *BanUserFromRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BanUserFromRoomRequest.ProtoReflect.Descriptor instead.
func (*BanUserFromRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{9}
}

func (x *BanUserFromRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *BanUserFromRoomRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type BanUserFromRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *BanUserFromRoomResponse) Reset() {
	*x = BanUserFromRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *BanUserFromRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BanUserFromRoomResponse) ProtoMessage() {}

func (x *BanUserFromRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BanUserFromRoomResponse.ProtoReflect.Descriptor instead.
func (*BanUserFromRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{10}
}

type UnbanUserFromRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	UserId        string                 `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UnbanUserFromRoomRequest) Reset() {
	*x = UnbanUserFromRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UnbanUserFromRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnbanUserFromRoomRequest) ProtoMessage() {}

func (x *UnbanUserFromRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnbanUserFromRoomRequest.ProtoReflect.Descriptor instead.
func (*UnbanUserFromRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{11}
}

func (x *UnbanUserFromRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *UnbanUserFromRoomRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type UnbanUserFromRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UnbanUserFromRoomResponse) Reset() {
	*x = UnbanUserFromRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UnbanUserFromRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UnbanUserFromRoomResponse) ProtoMessage() {}

func (x *UnbanUserFromRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UnbanUserFromRoomResponse.ProtoReflect.Descriptor instead.
func (*UnbanUserFromRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{12}
}

type GetBannedUsersFromRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetBannedUsersFromRoomRequest) Reset() {
	*x = GetBannedUsersFromRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetBannedUsersFromRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetBannedUsersFromRoomRequest) ProtoMessage() {}

func (x *GetBannedUsersFromRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetBannedUsersFromRoomRequest.ProtoReflect.Descriptor instead.
func (*GetBannedUsersFromRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{13}
}

func (x *GetBannedUsersFromRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type GetBannedUsersFromRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserIds       []string               `protobuf:"bytes,1,rep,name=user_ids,json=userIds,proto3" json:"user_ids,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetBannedUsersFromRoomResponse) Reset() {
	*x = GetBannedUsersFromRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[14]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetBannedUsersFromRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetBannedUsersFromRoomResponse) ProtoMessage() {}

func (x *GetBannedUsersFromRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[14]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetBannedUsersFromRoomResponse.ProtoReflect.Descriptor instead.
func (*GetBannedUsersFromRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{14}
}

func (x *GetBannedUsersFromRoomResponse) GetUserIds() []string {
	if x != nil {
		return x.UserIds
	}
	return nil
}

type StartMatchRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *StartMatchRequest) Reset() {
	*x = StartMatchRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[15]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *StartMatchRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartMatchRequest) ProtoMessage() {}

func (x *StartMatchRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[15]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartMatchRequest.ProtoReflect.Descriptor instead.
func (*StartMatchRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{15}
}

func (x *StartMatchRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type MatchData struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	MatchId       string                 `protobuf:"bytes,1,opt,name=match_id,json=matchId,proto3" json:"match_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *MatchData) Reset() {
	*x = MatchData{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[16]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *MatchData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MatchData) ProtoMessage() {}

func (x *MatchData) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[16]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MatchData.ProtoReflect.Descriptor instead.
func (*MatchData) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{16}
}

func (x *MatchData) GetMatchId() string {
	if x != nil {
		return x.MatchId
	}
	return ""
}

type StartMatchResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *MatchData             `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *StartMatchResponse) Reset() {
	*x = StartMatchResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[17]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *StartMatchResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartMatchResponse) ProtoMessage() {}

func (x *StartMatchResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[17]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartMatchResponse.ProtoReflect.Descriptor instead.
func (*StartMatchResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{17}
}

func (x *StartMatchResponse) GetData() *MatchData {
	if x != nil {
		return x.Data
	}
	return nil
}

type GetQuestionCountRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetQuestionCountRequest) Reset() {
	*x = GetQuestionCountRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[18]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetQuestionCountRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestionCountRequest) ProtoMessage() {}

func (x *GetQuestionCountRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[18]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestionCountRequest.ProtoReflect.Descriptor instead.
func (*GetQuestionCountRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{18}
}

func (x *GetQuestionCountRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type QuestionCountData struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	QuestionCount int32                  `protobuf:"varint,1,opt,name=question_count,json=questionCount,proto3" json:"question_count,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *QuestionCountData) Reset() {
	*x = QuestionCountData{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[19]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *QuestionCountData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestionCountData) ProtoMessage() {}

func (x *QuestionCountData) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[19]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestionCountData.ProtoReflect.Descriptor instead.
func (*QuestionCountData) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{19}
}

func (x *QuestionCountData) GetQuestionCount() int32 {
	if x != nil {
		return x.QuestionCount
	}
	return 0
}

type GetQuestionCountResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *QuestionCountData     `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetQuestionCountResponse) Reset() {
	*x = GetQuestionCountResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[20]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetQuestionCountResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestionCountResponse) ProtoMessage() {}

func (x *GetQuestionCountResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[20]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestionCountResponse.ProtoReflect.Descriptor instead.
func (*GetQuestionCountResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{20}
}

func (x *GetQuestionCountResponse) GetData() *QuestionCountData {
	if x != nil {
		return x.Data
	}
	return nil
}

type ErrorResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ErrorResponse) Reset() {
	*x = ErrorResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[21]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ErrorResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ErrorResponse) ProtoMessage() {}

func (x *ErrorResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[21]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ErrorResponse.ProtoReflect.Descriptor instead.
func (*ErrorResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{21}
}

type GetRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetRoomRequest) Reset() {
	*x = GetRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[22]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRoomRequest) ProtoMessage() {}

func (x *GetRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[22]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRoomRequest.ProtoReflect.Descriptor instead.
func (*GetRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{22}
}

func (x *GetRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type GetRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Name          string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	HostId        string                 `protobuf:"bytes,2,opt,name=host_id,json=hostId,proto3" json:"host_id,omitempty"`
	MaxPlayers    int32                  `protobuf:"varint,3,opt,name=max_players,json=maxPlayers,proto3" json:"max_players,omitempty"`
	QuestionCount int32                  `protobuf:"varint,4,opt,name=question_count,json=questionCount,proto3" json:"question_count,omitempty"`
	RoomStatus    RoomStatus             `protobuf:"varint,5,opt,name=room_status,json=roomStatus,proto3,enum=connectrpc.rooms.v1.RoomStatus" json:"room_status,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetRoomResponse) Reset() {
	*x = GetRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[23]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRoomResponse) ProtoMessage() {}

func (x *GetRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[23]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRoomResponse.ProtoReflect.Descriptor instead.
func (*GetRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{23}
}

func (x *GetRoomResponse) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *GetRoomResponse) GetHostId() string {
	if x != nil {
		return x.HostId
	}
	return ""
}

func (x *GetRoomResponse) GetMaxPlayers() int32 {
	if x != nil {
		return x.MaxPlayers
	}
	return 0
}

func (x *GetRoomResponse) GetQuestionCount() int32 {
	if x != nil {
		return x.QuestionCount
	}
	return 0
}

func (x *GetRoomResponse) GetRoomStatus() RoomStatus {
	if x != nil {
		return x.RoomStatus
	}
	return RoomStatus_ROOM_STATUS_UNSPECIFIED
}

type GetUsersInRoomRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetUsersInRoomRequest) Reset() {
	*x = GetUsersInRoomRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[24]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetUsersInRoomRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUsersInRoomRequest) ProtoMessage() {}

func (x *GetUsersInRoomRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[24]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUsersInRoomRequest.ProtoReflect.Descriptor instead.
func (*GetUsersInRoomRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{24}
}

func (x *GetUsersInRoomRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type GetUsersInRoomResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserIds       []string               `protobuf:"bytes,1,rep,name=user_ids,json=userIds,proto3" json:"user_ids,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetUsersInRoomResponse) Reset() {
	*x = GetUsersInRoomResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[25]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetUsersInRoomResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUsersInRoomResponse) ProtoMessage() {}

func (x *GetUsersInRoomResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[25]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUsersInRoomResponse.ProtoReflect.Descriptor instead.
func (*GetUsersInRoomResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{25}
}

func (x *GetUsersInRoomResponse) GetUserIds() []string {
	if x != nil {
		return x.UserIds
	}
	return nil
}

type CheckIfRoomExistsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CheckIfRoomExistsRequest) Reset() {
	*x = CheckIfRoomExistsRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[26]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CheckIfRoomExistsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CheckIfRoomExistsRequest) ProtoMessage() {}

func (x *CheckIfRoomExistsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[26]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CheckIfRoomExistsRequest.ProtoReflect.Descriptor instead.
func (*CheckIfRoomExistsRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{26}
}

func (x *CheckIfRoomExistsRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type CheckIfRoomExistsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Exists        bool                   `protobuf:"varint,1,opt,name=exists,proto3" json:"exists,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CheckIfRoomExistsResponse) Reset() {
	*x = CheckIfRoomExistsResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[27]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CheckIfRoomExistsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CheckIfRoomExistsResponse) ProtoMessage() {}

func (x *CheckIfRoomExistsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[27]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CheckIfRoomExistsResponse.ProtoReflect.Descriptor instead.
func (*CheckIfRoomExistsResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{27}
}

func (x *CheckIfRoomExistsResponse) GetExists() bool {
	if x != nil {
		return x.Exists
	}
	return false
}

type UserFinishedAnsweringRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	UserId        string                 `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UserFinishedAnsweringRequest) Reset() {
	*x = UserFinishedAnsweringRequest{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[28]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UserFinishedAnsweringRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserFinishedAnsweringRequest) ProtoMessage() {}

func (x *UserFinishedAnsweringRequest) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[28]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserFinishedAnsweringRequest.ProtoReflect.Descriptor instead.
func (*UserFinishedAnsweringRequest) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{28}
}

func (x *UserFinishedAnsweringRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *UserFinishedAnsweringRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type UserFinishedAnsweringResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UserFinishedAnsweringResponse) Reset() {
	*x = UserFinishedAnsweringResponse{}
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[29]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UserFinishedAnsweringResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserFinishedAnsweringResponse) ProtoMessage() {}

func (x *UserFinishedAnsweringResponse) ProtoReflect() protoreflect.Message {
	mi := &file_connectrpc_rooms_v1_rooms_proto_msgTypes[29]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserFinishedAnsweringResponse.ProtoReflect.Descriptor instead.
func (*UserFinishedAnsweringResponse) Descriptor() ([]byte, []int) {
	return file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP(), []int{29}
}

var File_connectrpc_rooms_v1_rooms_proto protoreflect.FileDescriptor

var file_connectrpc_rooms_v1_rooms_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x6f, 0x6f,
	0x6d, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x13, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f,
	0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xbb, 0x01, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a,
	0x07, 0x68, 0x6f, 0x73, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x68, 0x6f, 0x73, 0x74, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x61,
	0x78, 0x5f, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x0a, 0x6d, 0x61, 0x78, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x12, 0x45, 0x0a, 0x0e, 0x6d,
	0x61, 0x74, 0x63, 0x68, 0x5f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x48, 0x00,
	0x52, 0x0d, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x88,
	0x01, 0x01, 0x42, 0x11, 0x0a, 0x0f, 0x5f, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x64, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x29, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52,
	0x6f, 0x6f, 0x6d, 0x44, 0x61, 0x74, 0x61, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64,
	0x22, 0x4d, 0x0a, 0x12, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x37, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70,
	0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x44, 0x61, 0x74, 0x61, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22,
	0x99, 0x02, 0x0a, 0x0f, 0x45, 0x64, 0x69, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x61, 0x78, 0x5f, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0a, 0x6d, 0x61, 0x78, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72,
	0x73, 0x12, 0x45, 0x0a, 0x0e, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x5f, 0x64, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x48, 0x00, 0x52, 0x0d, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x44, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x12, 0x44, 0x0a, 0x0a, 0x64, 0x69, 0x66, 0x66,
	0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x24, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65, 0x76,
	0x65, 0x6c, 0x52, 0x0a, 0x64, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x12, 0x18,
	0x0a, 0x07, 0x73, 0x68, 0x75, 0x66, 0x66, 0x6c, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52,
	0x07, 0x73, 0x68, 0x75, 0x66, 0x66, 0x6c, 0x65, 0x42, 0x11, 0x0a, 0x0f, 0x5f, 0x6d, 0x61, 0x74,
	0x63, 0x68, 0x5f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x12, 0x0a, 0x10, 0x45,
	0x64, 0x69, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x4d, 0x0a, 0x19, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x55, 0x73, 0x65, 0x72, 0x49,
	0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07,
	0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72,
	0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0x84,
	0x01, 0x0a, 0x1a, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x55, 0x73, 0x65, 0x72, 0x49,
	0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39, 0x0a,
	0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x5f, 0x61, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65,
	0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x41, 0x74, 0x12, 0x2b, 0x0a, 0x12, 0x77, 0x61, 0x73, 0x5f,
	0x69, 0x6e, 0x5f, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x62, 0x65, 0x66, 0x6f, 0x72, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0f, 0x77, 0x61, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x42,
	0x65, 0x66, 0x6f, 0x72, 0x65, 0x22, 0x4d, 0x0a, 0x19, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x55,
	0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x75,
	0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73,
	0x65, 0x72, 0x49, 0x64, 0x22, 0x1c, 0x0a, 0x1a, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x55, 0x73,
	0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x4a, 0x0a, 0x16, 0x42, 0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f,
	0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07,
	0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72,
	0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0x19,
	0x0a, 0x17, 0x42, 0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f,
	0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x4c, 0x0a, 0x18, 0x55, 0x6e, 0x62,
	0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x17,
	0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0x1b, 0x0a, 0x19, 0x55, 0x6e, 0x62, 0x61, 0x6e,
	0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x38, 0x0a, 0x1d, 0x47, 0x65, 0x74, 0x42, 0x61, 0x6e, 0x6e, 0x65,
	0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x3b,
	0x0a, 0x1e, 0x47, 0x65, 0x74, 0x42, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73,
	0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x19, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x07, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x73, 0x22, 0x2c, 0x0a, 0x11, 0x53,
	0x74, 0x61, 0x72, 0x74, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x26, 0x0a, 0x09, 0x4d, 0x61, 0x74,
	0x63, 0x68, 0x44, 0x61, 0x74, 0x61, 0x12, 0x19, 0x0a, 0x08, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x61, 0x74, 0x63, 0x68, 0x49,
	0x64, 0x22, 0x48, 0x0a, 0x12, 0x53, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x32, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4d, 0x61, 0x74, 0x63,
	0x68, 0x44, 0x61, 0x74, 0x61, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x32, 0x0a, 0x17, 0x47,
	0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22,
	0x3a, 0x0a, 0x11, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74,
	0x44, 0x61, 0x74, 0x61, 0x12, 0x25, 0x0a, 0x0e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0x56, 0x0a, 0x18, 0x47,
	0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3a, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x44, 0x61, 0x74, 0x61, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x22, 0x0f, 0x0a, 0x0d, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x29, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22,
	0xc8, 0x01, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x68, 0x6f, 0x73, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x68, 0x6f, 0x73, 0x74, 0x49, 0x64,
	0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x61, 0x78, 0x5f, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x73, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x6d, 0x61, 0x78, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72,
	0x73, 0x12, 0x25, 0x0a, 0x0e, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x40, 0x0a, 0x0b, 0x72, 0x6f, 0x6f, 0x6d,
	0x5f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e,
	0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x52, 0x6f, 0x6f, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x0a,
	0x72, 0x6f, 0x6f, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x30, 0x0a, 0x15, 0x47, 0x65,
	0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x33, 0x0a, 0x16,
	0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69,
	0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x07, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64,
	0x73, 0x22, 0x33, 0x0a, 0x18, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x66, 0x52, 0x6f, 0x6f, 0x6d,
	0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a,
	0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x33, 0x0a, 0x19, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49,
	0x66, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x06, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73, 0x22, 0x50, 0x0a, 0x1c, 0x55,
	0x73, 0x65, 0x72, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x41, 0x6e, 0x73, 0x77, 0x65,
	0x72, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x72,
	0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x6f,
	0x6f, 0x6d, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x22, 0x1f, 0x0a,
	0x1d, 0x55, 0x73, 0x65, 0x72, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x41, 0x6e, 0x73,
	0x77, 0x65, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2a, 0x86,
	0x01, 0x0a, 0x0f, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65, 0x76,
	0x65, 0x6c, 0x12, 0x20, 0x0a, 0x1c, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59,
	0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x19, 0x0a, 0x15, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c,
	0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x45, 0x41, 0x53, 0x59, 0x10, 0x01, 0x12,
	0x1b, 0x0a, 0x17, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45,
	0x56, 0x45, 0x4c, 0x5f, 0x4d, 0x45, 0x44, 0x49, 0x55, 0x4d, 0x10, 0x02, 0x12, 0x19, 0x0a, 0x15,
	0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c,
	0x5f, 0x48, 0x41, 0x52, 0x44, 0x10, 0x03, 0x2a, 0x8d, 0x01, 0x0a, 0x0a, 0x52, 0x6f, 0x6f, 0x6d,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1b, 0x0a, 0x17, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53,
	0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45,
	0x44, 0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53, 0x54, 0x41, 0x54,
	0x55, 0x53, 0x5f, 0x57, 0x41, 0x49, 0x54, 0x49, 0x4e, 0x47, 0x10, 0x01, 0x12, 0x18, 0x0a, 0x14,
	0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x53, 0x54, 0x41, 0x52,
	0x54, 0x49, 0x4e, 0x47, 0x10, 0x02, 0x12, 0x17, 0x0a, 0x13, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53,
	0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x50, 0x4c, 0x41, 0x59, 0x49, 0x4e, 0x47, 0x10, 0x03, 0x12,
	0x16, 0x0a, 0x12, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x45,
	0x4e, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x04, 0x32, 0xba, 0x0b, 0x0a, 0x0c, 0x52, 0x6f, 0x6f, 0x6d,
	0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x5f, 0x0a, 0x0a, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x6f, 0x6f, 0x6d, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x59, 0x0a, 0x08, 0x45, 0x64, 0x69,
	0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x64, 0x69, 0x74,
	0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x45, 0x64, 0x69, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x12, 0x77, 0x0a, 0x12, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72,
	0x55, 0x73, 0x65, 0x72, 0x49, 0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x2e, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x55, 0x73, 0x65, 0x72, 0x49, 0x6e, 0x52,
	0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x55, 0x73, 0x65, 0x72, 0x49, 0x6e, 0x52,
	0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x77, 0x0a,
	0x12, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52,
	0x6f, 0x6f, 0x6d, 0x12, 0x2e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65,
	0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65,
	0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x6e, 0x0a, 0x0f, 0x42, 0x61, 0x6e, 0x55, 0x73, 0x65,
	0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x2b, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x42, 0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x42, 0x61, 0x6e,
	0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x74, 0x0a, 0x11, 0x55, 0x6e, 0x62, 0x61, 0x6e, 0x55,
	0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x2d, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x55, 0x6e, 0x62, 0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52,
	0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x55, 0x6e, 0x62, 0x61, 0x6e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f,
	0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x83, 0x01, 0x0a,
	0x16, 0x47, 0x65, 0x74, 0x42, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x46,
	0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x12, 0x32, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65,
	0x74, 0x42, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x46, 0x72, 0x6f, 0x6d,
	0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x33, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x47, 0x65, 0x74, 0x42, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73,
	0x46, 0x72, 0x6f, 0x6d, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x5f, 0x0a, 0x0a, 0x53, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x61, 0x74, 0x63, 0x68,
	0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f,
	0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x4d, 0x61, 0x74, 0x63,
	0x68, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53,
	0x74, 0x61, 0x72, 0x74, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x00, 0x12, 0x71, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69,
	0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x2c, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65,
	0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72,
	0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x56, 0x0a, 0x07, 0x47, 0x65, 0x74, 0x52, 0x6f, 0x6f,
	0x6d, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72,
	0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x6f, 0x6f, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74,
	0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x6b,
	0x0a, 0x0e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6f, 0x6d,
	0x12, 0x2a, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f,
	0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x49,
	0x6e, 0x52, 0x6f, 0x6f, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x63,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x49, 0x6e, 0x52, 0x6f, 0x6f,
	0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x74, 0x0a, 0x11, 0x43,
	0x68, 0x65, 0x63, 0x6b, 0x49, 0x66, 0x52, 0x6f, 0x6f, 0x6d, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73,
	0x12, 0x2d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f,
	0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x66, 0x52, 0x6f,
	0x6f, 0x6d, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x2e, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f,
	0x6d, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x66, 0x52, 0x6f, 0x6f,
	0x6d, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x00, 0x12, 0x80, 0x01, 0x0a, 0x15, 0x55, 0x73, 0x65, 0x72, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68,
	0x65, 0x64, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x69, 0x6e, 0x67, 0x12, 0x31, 0x2e, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x41, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x32,
	0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65,
	0x64, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x42, 0xe2, 0x01, 0x0a, 0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2e, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x76, 0x31,
	0x42, 0x0a, 0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x4d,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61, 0x72,
	0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x2f, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x65,
	0x6e, 0x2f, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x6f, 0x6f,
	0x6d, 0x73, 0x2f, 0x76, 0x31, 0x3b, 0x72, 0x6f, 0x6f, 0x6d, 0x73, 0x76, 0x31, 0xa2, 0x02, 0x03,
	0x43, 0x52, 0x58, 0xaa, 0x02, 0x13, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63,
	0x2e, 0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x2e, 0x56, 0x31, 0xca, 0x02, 0x13, 0x43, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x5c, 0x56, 0x31, 0xe2,
	0x02, 0x1f, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x5c, 0x52, 0x6f, 0x6f,
	0x6d, 0x73, 0x5c, 0x56, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0xea, 0x02, 0x15, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x70, 0x63, 0x3a, 0x3a,
	0x52, 0x6f, 0x6f, 0x6d, 0x73, 0x3a, 0x3a, 0x56, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_connectrpc_rooms_v1_rooms_proto_rawDescOnce sync.Once
	file_connectrpc_rooms_v1_rooms_proto_rawDescData = file_connectrpc_rooms_v1_rooms_proto_rawDesc
)

func file_connectrpc_rooms_v1_rooms_proto_rawDescGZIP() []byte {
	file_connectrpc_rooms_v1_rooms_proto_rawDescOnce.Do(func() {
		file_connectrpc_rooms_v1_rooms_proto_rawDescData = protoimpl.X.CompressGZIP(file_connectrpc_rooms_v1_rooms_proto_rawDescData)
	})
	return file_connectrpc_rooms_v1_rooms_proto_rawDescData
}

var file_connectrpc_rooms_v1_rooms_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_connectrpc_rooms_v1_rooms_proto_msgTypes = make([]protoimpl.MessageInfo, 30)
var file_connectrpc_rooms_v1_rooms_proto_goTypes = []any{
	(DifficultyLevel)(0),                   // 0: connectrpc.rooms.v1.DifficultyLevel
	(RoomStatus)(0),                        // 1: connectrpc.rooms.v1.RoomStatus
	(*CreateRoomRequest)(nil),              // 2: connectrpc.rooms.v1.CreateRoomRequest
	(*CreateRoomData)(nil),                 // 3: connectrpc.rooms.v1.CreateRoomData
	(*CreateRoomResponse)(nil),             // 4: connectrpc.rooms.v1.CreateRoomResponse
	(*EditRoomRequest)(nil),                // 5: connectrpc.rooms.v1.EditRoomRequest
	(*EditRoomResponse)(nil),               // 6: connectrpc.rooms.v1.EditRoomResponse
	(*RegisterUserInRoomRequest)(nil),      // 7: connectrpc.rooms.v1.RegisterUserInRoomRequest
	(*RegisterUserInRoomResponse)(nil),     // 8: connectrpc.rooms.v1.RegisterUserInRoomResponse
	(*RemoveUserFromRoomRequest)(nil),      // 9: connectrpc.rooms.v1.RemoveUserFromRoomRequest
	(*RemoveUserFromRoomResponse)(nil),     // 10: connectrpc.rooms.v1.RemoveUserFromRoomResponse
	(*BanUserFromRoomRequest)(nil),         // 11: connectrpc.rooms.v1.BanUserFromRoomRequest
	(*BanUserFromRoomResponse)(nil),        // 12: connectrpc.rooms.v1.BanUserFromRoomResponse
	(*UnbanUserFromRoomRequest)(nil),       // 13: connectrpc.rooms.v1.UnbanUserFromRoomRequest
	(*UnbanUserFromRoomResponse)(nil),      // 14: connectrpc.rooms.v1.UnbanUserFromRoomResponse
	(*GetBannedUsersFromRoomRequest)(nil),  // 15: connectrpc.rooms.v1.GetBannedUsersFromRoomRequest
	(*GetBannedUsersFromRoomResponse)(nil), // 16: connectrpc.rooms.v1.GetBannedUsersFromRoomResponse
	(*StartMatchRequest)(nil),              // 17: connectrpc.rooms.v1.StartMatchRequest
	(*MatchData)(nil),                      // 18: connectrpc.rooms.v1.MatchData
	(*StartMatchResponse)(nil),             // 19: connectrpc.rooms.v1.StartMatchResponse
	(*GetQuestionCountRequest)(nil),        // 20: connectrpc.rooms.v1.GetQuestionCountRequest
	(*QuestionCountData)(nil),              // 21: connectrpc.rooms.v1.QuestionCountData
	(*GetQuestionCountResponse)(nil),       // 22: connectrpc.rooms.v1.GetQuestionCountResponse
	(*ErrorResponse)(nil),                  // 23: connectrpc.rooms.v1.ErrorResponse
	(*GetRoomRequest)(nil),                 // 24: connectrpc.rooms.v1.GetRoomRequest
	(*GetRoomResponse)(nil),                // 25: connectrpc.rooms.v1.GetRoomResponse
	(*GetUsersInRoomRequest)(nil),          // 26: connectrpc.rooms.v1.GetUsersInRoomRequest
	(*GetUsersInRoomResponse)(nil),         // 27: connectrpc.rooms.v1.GetUsersInRoomResponse
	(*CheckIfRoomExistsRequest)(nil),       // 28: connectrpc.rooms.v1.CheckIfRoomExistsRequest
	(*CheckIfRoomExistsResponse)(nil),      // 29: connectrpc.rooms.v1.CheckIfRoomExistsResponse
	(*UserFinishedAnsweringRequest)(nil),   // 30: connectrpc.rooms.v1.UserFinishedAnsweringRequest
	(*UserFinishedAnsweringResponse)(nil),  // 31: connectrpc.rooms.v1.UserFinishedAnsweringResponse
	(*durationpb.Duration)(nil),            // 32: google.protobuf.Duration
	(*timestamppb.Timestamp)(nil),          // 33: google.protobuf.Timestamp
}
var file_connectrpc_rooms_v1_rooms_proto_depIdxs = []int32{
	32, // 0: connectrpc.rooms.v1.CreateRoomRequest.match_duration:type_name -> google.protobuf.Duration
	3,  // 1: connectrpc.rooms.v1.CreateRoomResponse.data:type_name -> connectrpc.rooms.v1.CreateRoomData
	32, // 2: connectrpc.rooms.v1.EditRoomRequest.match_duration:type_name -> google.protobuf.Duration
	0,  // 3: connectrpc.rooms.v1.EditRoomRequest.difficulty:type_name -> connectrpc.rooms.v1.DifficultyLevel
	33, // 4: connectrpc.rooms.v1.RegisterUserInRoomResponse.expires_at:type_name -> google.protobuf.Timestamp
	18, // 5: connectrpc.rooms.v1.StartMatchResponse.data:type_name -> connectrpc.rooms.v1.MatchData
	21, // 6: connectrpc.rooms.v1.GetQuestionCountResponse.data:type_name -> connectrpc.rooms.v1.QuestionCountData
	1,  // 7: connectrpc.rooms.v1.GetRoomResponse.room_status:type_name -> connectrpc.rooms.v1.RoomStatus
	2,  // 8: connectrpc.rooms.v1.RoomsService.CreateRoom:input_type -> connectrpc.rooms.v1.CreateRoomRequest
	5,  // 9: connectrpc.rooms.v1.RoomsService.EditRoom:input_type -> connectrpc.rooms.v1.EditRoomRequest
	7,  // 10: connectrpc.rooms.v1.RoomsService.RegisterUserInRoom:input_type -> connectrpc.rooms.v1.RegisterUserInRoomRequest
	9,  // 11: connectrpc.rooms.v1.RoomsService.RemoveUserFromRoom:input_type -> connectrpc.rooms.v1.RemoveUserFromRoomRequest
	11, // 12: connectrpc.rooms.v1.RoomsService.BanUserFromRoom:input_type -> connectrpc.rooms.v1.BanUserFromRoomRequest
	13, // 13: connectrpc.rooms.v1.RoomsService.UnbanUserFromRoom:input_type -> connectrpc.rooms.v1.UnbanUserFromRoomRequest
	15, // 14: connectrpc.rooms.v1.RoomsService.GetBannedUsersFromRoom:input_type -> connectrpc.rooms.v1.GetBannedUsersFromRoomRequest
	17, // 15: connectrpc.rooms.v1.RoomsService.StartMatch:input_type -> connectrpc.rooms.v1.StartMatchRequest
	20, // 16: connectrpc.rooms.v1.RoomsService.GetQuestionCount:input_type -> connectrpc.rooms.v1.GetQuestionCountRequest
	24, // 17: connectrpc.rooms.v1.RoomsService.GetRoom:input_type -> connectrpc.rooms.v1.GetRoomRequest
	26, // 18: connectrpc.rooms.v1.RoomsService.GetUsersInRoom:input_type -> connectrpc.rooms.v1.GetUsersInRoomRequest
	28, // 19: connectrpc.rooms.v1.RoomsService.CheckIfRoomExists:input_type -> connectrpc.rooms.v1.CheckIfRoomExistsRequest
	30, // 20: connectrpc.rooms.v1.RoomsService.UserFinishedAnswering:input_type -> connectrpc.rooms.v1.UserFinishedAnsweringRequest
	4,  // 21: connectrpc.rooms.v1.RoomsService.CreateRoom:output_type -> connectrpc.rooms.v1.CreateRoomResponse
	6,  // 22: connectrpc.rooms.v1.RoomsService.EditRoom:output_type -> connectrpc.rooms.v1.EditRoomResponse
	8,  // 23: connectrpc.rooms.v1.RoomsService.RegisterUserInRoom:output_type -> connectrpc.rooms.v1.RegisterUserInRoomResponse
	10, // 24: connectrpc.rooms.v1.RoomsService.RemoveUserFromRoom:output_type -> connectrpc.rooms.v1.RemoveUserFromRoomResponse
	12, // 25: connectrpc.rooms.v1.RoomsService.BanUserFromRoom:output_type -> connectrpc.rooms.v1.BanUserFromRoomResponse
	14, // 26: connectrpc.rooms.v1.RoomsService.UnbanUserFromRoom:output_type -> connectrpc.rooms.v1.UnbanUserFromRoomResponse
	16, // 27: connectrpc.rooms.v1.RoomsService.GetBannedUsersFromRoom:output_type -> connectrpc.rooms.v1.GetBannedUsersFromRoomResponse
	19, // 28: connectrpc.rooms.v1.RoomsService.StartMatch:output_type -> connectrpc.rooms.v1.StartMatchResponse
	22, // 29: connectrpc.rooms.v1.RoomsService.GetQuestionCount:output_type -> connectrpc.rooms.v1.GetQuestionCountResponse
	25, // 30: connectrpc.rooms.v1.RoomsService.GetRoom:output_type -> connectrpc.rooms.v1.GetRoomResponse
	27, // 31: connectrpc.rooms.v1.RoomsService.GetUsersInRoom:output_type -> connectrpc.rooms.v1.GetUsersInRoomResponse
	29, // 32: connectrpc.rooms.v1.RoomsService.CheckIfRoomExists:output_type -> connectrpc.rooms.v1.CheckIfRoomExistsResponse
	31, // 33: connectrpc.rooms.v1.RoomsService.UserFinishedAnswering:output_type -> connectrpc.rooms.v1.UserFinishedAnsweringResponse
	21, // [21:34] is the sub-list for method output_type
	8,  // [8:21] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_connectrpc_rooms_v1_rooms_proto_init() }
func file_connectrpc_rooms_v1_rooms_proto_init() {
	if File_connectrpc_rooms_v1_rooms_proto != nil {
		return
	}
	file_connectrpc_rooms_v1_rooms_proto_msgTypes[0].OneofWrappers = []any{}
	file_connectrpc_rooms_v1_rooms_proto_msgTypes[3].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_connectrpc_rooms_v1_rooms_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   30,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_connectrpc_rooms_v1_rooms_proto_goTypes,
		DependencyIndexes: file_connectrpc_rooms_v1_rooms_proto_depIdxs,
		EnumInfos:         file_connectrpc_rooms_v1_rooms_proto_enumTypes,
		MessageInfos:      file_connectrpc_rooms_v1_rooms_proto_msgTypes,
	}.Build()
	File_connectrpc_rooms_v1_rooms_proto = out.File
	file_connectrpc_rooms_v1_rooms_proto_rawDesc = nil
	file_connectrpc_rooms_v1_rooms_proto_goTypes = nil
	file_connectrpc_rooms_v1_rooms_proto_depIdxs = nil
}
